$(function(){$(document).bind("contextmenu",function(e){return false;});document.onmousedown =function(){return false;};document.onselectstart=function(){return false;};});
var g={
	b:'body',
	p:'#bookpartinfo',
	c:0,
	h:m,
	i:t,
	sp:b,
	ss:x,
	y:z,
	m:o,
	C:setCookie,
	G:getCookie,
	H:sh,
	ed:5,
	A:'.qwertyuiopasdfghjklzxcvbnm',
	S:{h:'url(http://www.shushuw.cn/css/bgc/',t:'.gif)',b:'backgroundColor',c:'color',m:'backgroundImage',v:'',f:'fontSize',l:'lineHeight',s:'#',r:'<br />',x:'px',y:'display',w:'inline'},
	v:{q:'.showviewset',w:'#setread',e:'.changebg',r:'.changefc',t:'.changexh',y:'.changefs',u:'.changesd',i:'copy',o:'mousedown',p:'dblclick'},
	w:{q:sb,w:sf,e:sx,r:sc,t:se},
	k:{x:'readbg',c:'readfc',s:'readfs',h:'readxh',d:'sSpeed'},
	re:{o:/<br\/{0,1}>/gi,t:/<[<br\s\/>]{2,}>/gi,m:'\t',p1:'<p>',p2:'</p>',p3:'</p><p>',v:/<br\s*\/>/},
	q:{m:'0,26,6,16,9,12,5',i:'8,13,12',p:'0,10,11,4,5,5,9,10',f:'14,24,8,13',a:'0,11,13,13,12,1',u:'7,1,8,13',c:'7',l:'26',j:'12',v:'0,24,22',e:'22'},
	df:{b:'F0FBF1',f:'20px',l:'40px',h:'E3E3E3'},
	ds:dojs,
	mi:0,
	ti:0
	};
	
var cl=new Array('000000','FFFFFF','0000FF','008000','00CED1','00FA9A','00FF7F','00FFFF','228B22','2E8B57','2F4F4F','32CD32','40E0D0','696969','6A5ACE','778899','7CFC00','7FFF00','7FFFD4','800000','800080','808080','87CEEB','8B0000','8B008B','90EE90','9370DB','98FB98','9ACD32','A52A2A','A9A9A9','ADD8E6','ADFF2F','B0E0E6','B22222','C0C0C0','CD853F','D2691E','D2B48C','D3D3D3','D8BFD8','DA70D6','DCDCDC','E0FFFF','E6E6FA','EE82EE','F5DEB3','FF0000','FF00FF','FF4500','FF6347','FF7F50','FFA07A','FFA500','FFC0CB','FFD700','FFDAB9','FFDEAD','FFE4B5','FFE4C4','FFFF00','F0FBF1','E3E3E3');
var cn=new Array('黑色','白色','蓝色','绿色','暗宝石绿','淡绿色','春绿色','青色','森林绿','海绿色','墨绿色','橙绿色','青绿色','暗灰色','石蓝色','亮蓝灰','草绿色','黄绿色','碧绿色','粟色','紫色','灰色','天蓝色','暗红色','暗洋红','亮绿色','间紫色','苍绿色','黄绿色','褐色','暗灰色','亮蓝色','黄绿色','粉蓝色','火砖色','银色','秘鲁色','巧可力色','茶色','亮灰色','蓟色','淡紫色','淡灰色','亮青色','淡紫色','紫罗兰色','浅黄色','红色','紫红色','红橙色','西红柿色','珊瑚色','亮肉色','橙色','粉红色','金色','桃色','纳瓦白','鹿皮色','桔黄色','黄色','淡蓝（护眼背景）','淡灰（护眼下划线）');
var len=cl.length;
var str='<a href="javascript:void(0)" class="showviewset">阅读设置</a> <span id="setread" style="display:none"><select class="changebg"><option value="FFFFFF">背景颜色</option>';
for(var i=0;i<len;i++){
	str+='<option value="'+cl[i]+'" style="background-color: #'+cl[i]+'">'+cn[i]+'</option>';
}
str+='</select><select class="changefc"><option value="000000">字体颜色</option>';
for(var i=0;i<len;i++){
	str+='<option value="'+cl[i]+'" style="background-color: #'+cl[i]+'">'+cn[i]+'</option>';
}
str+='</select><select class="changexh"><option value="E3E3E3">下划线颜色</option><option value="off">不显示</option>';
for(var i=0;i<len;i++){
	str+='<option value="'+cl[i]+'" style="background-color: #'+cl[i]+'">'+cn[i]+'</option>';
}
str+='</select><select class="changefs"><option value="20">字体大小</option><option value="16">小</option><option value="20">中</option><option value="26">大</option></select>鼠标左键双击滚屏<select class="changesd"><option value="5">滚屏速度(1-10)</option><option value="1">1</option><option value="2">2</option><option value="3">3</option><option value="4">4</option><option value="5">5</option><option value="6">6</option><option value="7">7</option><option value="8">8</option><option value="9">9</option><option value="10">10</option></select></span> <a href="javascript:void(0)" onclick="mybook(event)">我的书架</a> ';
document.write(str);
function sb(a){
	$(g.b).css(g.S.b,g.S.s+a);
	g.C(g.k.x,a,30*24*3600);
}
function sf(a){
	$(g.p).css(g.S.c,g.S.s+a);
	g.C(g.k.c,a,30*24*3600);
}
function sx(a){
	var h=g.G(g.k.s)*2;
	if(a!='off') $(g.p).css(g.S.m,g.S.h+h+'-'+a+g.S.t);
	else $(g.p).css(g.S.m,'');
	g.C(g.k.h,a,30*24*3600);
}
function sh(){
	var h=g.G(g.k.s)*2;
	var c=g.G(g.k.h);
	if(!c) return;
	if(c!='off') $(g.p).css(g.S.m,g.S.h+h+'-'+c+g.S.t);
	else $(g.p).css(g.S.m,'');
}
function sc(a){
	$(g.p).css(g.S.f,a+g.S.x);
	$(g.p).css(g.S.l,a*2+g.S.x);
	g.C(g.k.s,a,30*24*3600);
	g.H();
}

function m(){
	return;
	var a=$(g.p).html().replace(g.re.o,g.re.m).split(g.re.m);
	g.S.v=g.S.v.split($(g.q.m).attr(g.q.i));
	var l=g.S.v.length;
	var e=new Array();
	var t=$(g.q.p).attr(g.q.f);
	var n=parseInt($(g.q.a).attr(g.q.u));
	if(t==g.q.c){
		for(i=0;i<l;i++){
			e[g.S.v[i]-n]=a[i];
		}
	}else if(t==g.q.l){
		for(i=0;i<l;i++){
			e[n-g.S.v[i]]=a[i];
		}
	}else if(t==g.q.j){
		for(i=0;i<l;i++){
			e[g.S.v[i]/n]=a[i];
		}
	}
	var o='';
	var z=l-1;
	for(i=0;i<z;i++){
		o+=g.m(e[i])+g.S.r;
	}
	$(g.p).html(o);
}
function t(){
	var x=g.G(g.k.x);
	var c=g.G(g.k.c);
	var s=g.G(g.k.s);
	var h=g.G(g.k.h);
	var d=g.G(g.k.d);
	if(x!=''){
		$(g.b).css(g.S.b,g.S.s+x);
	}else{
	   $(g.b).css(g.S.b,g.S.s+g.df.b);
	   g.C(g.k.x,g.df.b);
	}
	if(c!=''){
		$(g.p).css(g.S.c,g.S.s+c);
	}
	if(s!=''){
		$(g.p).css(g.S.f,s+g.S.x);
		$(g.p).css(g.S.l,s*2+g.S.x);
	}else{
		$(g.p).css(g.S.f,g.df.f);
		$(g.p).css(g.S.l,g.df.l);
		g.C(g.k.s,20);
	}
	if(!h){
		g.C(g.k.h,g.df.h);
	}
	if(d>0){
	  g.ed=d;
    }
	g.H();
	if(g.mi>0 && g.ti>0){
		g.ds(16,g.mi,'N',g.ti);
	}
}

var currentpos,timer;
function se(s){
	if(s < 1 || s > 10 ) s=5;
	g.ed=s;
	g.C(g.k.d,s);
}
function x(){
	timer=setInterval("scrollwindow()",300/g.ed);
}
function b(){
	clearInterval(timer);
}
function scrollwindow() {
	window.scrollBy(0,1);
}
function f(i){
   if(i.indexOf(',')<0){
     return g.A.charAt(i);
   }else{
     var m=i.split(',');
	 var s='';
	 for(i in m){
	   s+=g.A.charAt(m[i]);
	 }
	 return s;
   }
}
function z(){
   setTimeout(function(){
     var t = clipboardData.getData("text"); 
	   if (t) { 
		  var r='书书网';
		  t=t.replace(g.re.v,'');
		  var l=t.length;
		  var m=parseInt(Math.random()*l);
		  var v=t.substring(0,m)+r;
		  var w=t.substring(m,l);
		  clipboardData.setData("text", v+w); 
	   }
   },100);
}
function o(s){
	if(g.c<1) return s;
	var l=s.length;
	if(l>g.c){
		return s.substring(l-g.c,l)+s.substring(0,l-g.c);
	}else return s;
}